Package commoble.exmachina.engine.api

# Class ExMachinaRegistries

java.lang.Object
commoble.exmachina.engine.api.ExMachinaRegistries

public class ExMachinaRegistries extends Object
Registry ResourceKeys for Ex Machina's static registries

## Field Summary

Fields
Modifier and Type
Field
Description
`static final net.minecraft.resources.ResourceKey<net.minecraft.core.Registry<CircuitComponent>>`
`CIRCUIT_COMPONENT`
`static final net.minecraft.resources.ResourceKey<net.minecraft.core.Registry<com.mojang.serialization.Codec<? extends Connector>>>`
`CONNECTOR_TYPE`
`static final net.minecraft.resources.ResourceKey<net.minecraft.core.Registry<com.mojang.serialization.Codec<? extends DynamicProperty>>>`
`DYNAMIC_PROPERTY_TYPE`
`static final net.minecraft.resources.ResourceKey<net.minecraft.core.Registry<com.mojang.serialization.Codec<? extends StaticProperty>>>`
`STATIC_PROPERTY_TYPE`

## Constructor Summary

Constructors
Constructor
Description
`ExMachinaRegistries()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### CONNECTOR_TYPE

public static final net.minecraft.resources.ResourceKey<net.minecraft.core.Registry<com.mojang.serialization.Codec<? extends Connector>>> CONNECTOR_TYPE

### STATIC_PROPERTY_TYPE

public static final net.minecraft.resources.ResourceKey<net.minecraft.core.Registry<com.mojang.serialization.Codec<? extends StaticProperty>>> STATIC_PROPERTY_TYPE

### DYNAMIC_PROPERTY_TYPE

public static final net.minecraft.resources.ResourceKey<net.minecraft.core.Registry<com.mojang.serialization.Codec<? extends DynamicProperty>>> DYNAMIC_PROPERTY_TYPE

### CIRCUIT_COMPONENT

public static final net.minecraft.resources.ResourceKey<net.minecraft.core.Registry<CircuitComponent>> CIRCUIT_COMPONENT

## Constructor Details

### ExMachinaRegistries

public ExMachinaRegistries()